<?php
/**
 * Created by PhpStorm.
 * User: Alexander
 * Date: 14.04.2017
 * Time: 16:20
 */

namespace UBRIR;

include_once 'WorkMode.php';

interface InterfaceConnectionConfig
{
    public function GetShopId();

    /**
     * @return \UBRIR\WorkMode
     */
    public function GetWorkMode();

    public function GetPrivateCertificatePassword();

    public function GetOrderDataByUBRIROrderID($TWPG_OrderId);

    public function GetOrderDataByShopOrderID($OrderId);

    public function SaveTWPGOrder($orderId, $TWPG_OrderId, $SessionId, $paymentId = false);

    public function GetOrdersList($pageNum = 1, $perPageCount = 0);

    /**
     * @return string
     */
    public function GetDefaultContinueLink();
}
