<?php
global $view_data;
?>
<table class="ubrirTable">
    <thead>
    <th>Название</th>
    <th>Текущая версия</th>
    <th>Минимальная версия</th>
    <th>Интеграция</th>
    <th>Настройки</th>
    </thead>
    <tbody>
    <?
    foreach ($view_data['shop_plugins'] as $pluginCode => $plugin) {
        $plugin_data = $plugin['wp_plugin_data'];
        empty($plugin_data['Version']) ? $plugin_data['Version'] = '-' : '';
        ?>
        <tr>
            <td><?= $pluginCode ?></td>
            <td><?= $plugin_data['Version'] ?></td>
            <td><?= $plugin['min_version'] ?></td>
            <td>
                <?
                if ($plugin['shop_plugin_found']) {
                    if ($plugin['ubrr_payment_integrated']) {
                        ?><input class="deletePaySystem button"
                                 data-plugin-name="<?= $pluginCode ?>" type="button" value="Удалить"/><?
                    } else {
                        ?><input class="installPaySystem button button-primary"
                                 data-plugin-name="<?= $pluginCode ?>" type="button" value="Установить"><?
                    }
                } ?>
            </td>
            <td><?
                if ($plugin['ubrr_payment_integrated']) {
                            include_once($plugin['shop_settings_file']);
                }
                ?>
            </td>
        </tr>
    <? } ?>
    </tbody>
</table>
