<?php

/**
 * Обработка POST-запросов
 *
 */
if (!empty($_POST["action"])) {
    include_once 'WordpressAdmin.php';

    $wordpressAdmin = new WordpressAdmin();

    switch ($_POST["action"]) {
        case 'delete_pay_system':
            echo UBRIR\Wordpress::ManualDeletePaySystem($_POST['plugin_name']);
            break;
        case 'add_pay_system':
            echo UBRIR\Wordpress::ManualAddPaySystem($_POST['plugin_name']);
            break;
        case 'get_plugins': {
            global $view_data;
            UBRIR\Wordpress::FillViewData();
            $known_plugins = UBRIR\Wordpress::$known_shops_plugins;
            $shop_plugins = $known_plugins;
            foreach ($known_plugins as $key => $ubrr_plugin_config) {
                $plugin_file = UBRIR\Wordpress::get_plugin_file($key);

                $plugin = get_plugin_data($_SERVER['DOCUMENT_ROOT'] . '/wp-content/plugins/' . $plugin_file);
                $shop_plugin_found = strlen($plugin['Name']) > 0;
                if ($shop_plugin_found) {
                    $payment_file_path = $_SERVER['DOCUMENT_ROOT'] . '/wp-content/plugins/' . $ubrr_plugin_config['folder_name'] . $ubrr_plugin_config['file'];
                    $payment_file_exists = file_exists($payment_file_path);

                    $shop_plugins[$key]['shop_plugin_found'] = $shop_plugin_found;
                    $shop_plugins[$key]['ubrr_payment_integrated'] = $payment_file_exists;
                    $shop_plugins[$key]['wp_plugin_data'] = $plugin;
                }

            }
            $view_data['shop_plugins'] = $shop_plugins;
            include_once('views/plugins.php');
        }
            break;
        case 'get_orders': {
            $wordpressAdmin->ShowOrders();
        }
            break;
        case 'get_log': {
            $wordpressAdmin->ShowLog();
        }
            break;
        case 'delete_log': {
            $wordpressAdmin->ClearLog();
            echo 'Лог очищен';
        }
            break;
        case 'get_order_status': {
            if (!empty($_POST['twpg_id'])) {
                $TWPG_OrderId = intval($_POST['twpg_id']);

                $wordpressAdmin->JsonOrderStatus($TWPG_OrderId);
            }
        }
            break;
        case 'get_order_info': {

            if (!empty($_POST['twpg_id'])) {
                $TWPG_OrderId = intval($_POST['twpg_id']);

                $wordpressAdmin->HtmlInJsonOrderInfo($TWPG_OrderId);
            }
        }
            break;
        case 'get_reconcile': {
            $wordpressAdmin->HtmlInJsonReconcile();
        }
            break;
        case 'get_journal': {
            $wordpressAdmin->HtmlInJsonJournal();
        }

            break;
        case 'send_test_mail':
            WordpressAdmin::SendTestMailNotification();
            break;
    }
}