<?php
require_once($_SERVER['DOCUMENT_ROOT'] . '/wp-load.php');

include_once $_SERVER['DOCUMENT_ROOT'] . '/wp-content/plugins/ubrr/Wordpress.php';
$cmsModule = new UBRIR\Wordpress();
//Переход после оплаты

$site_url = get_site_url();
$callbackURL = $site_url . '/wp-content/plugins/ubrr/callback/ecom_callback.php';

//Подготавливаем почву для оплаты
global $wpdb;
$ecomSessionID = $_POST['id'];
$orderIdDb = $wpdb->prepare("SELECT * FROM `" . WPSC_TABLE_PURCHASE_LOGS . "` WHERE `sessionid`= %s LIMIT 1", $ecomSessionID);
$rows = $wpdb->get_results($orderIdDb, ARRAY_A);
$orderId = $rows[0]['id'];
$amount = $_POST['amount'];
$response = $cmsModule->SetupAndPrepareToPay($orderId, $amount, $callbackURL);
print_r($response);
//Проверка связи с сервером
if ($response->isSuccess()) {
    $TWPG_OrderId = $response->GetTWPG_OrderId();
    $SessionId = $response->GetSessionId();


    $cmsModule->SaveTWPGOrder($orderId, $TWPG_OrderId, $SessionId); //, $ecomSessionID

    $PaymentURL = $response->GetPaymentUrl($TWPG_OrderId, $SessionId);

    //Отложенный платеж
    if (isset($_POST['later'])) {
        //очистка корзины
        $wpsc_cart->empty_cart();
        $to = $_POST['email'];
        $siteName = get_bloginfo('name');
        $subject = 'Отложенный платеж на сайте ' . $siteName;
        $message = 'Для оплаты заказа перейдите по ссылке ' . $PaymentURL;
        if (wp_mail(
            $to,
            $subject,
            $message,
            '',
            '')) {
            echo 'Письмо со ссылкой для оплаты отправлено на ваш e-mail. <br><a href="/">Вернуться на сайт</a>';
        } else echo 'Возникли проблемы с отправкой письма, обратитесь к администратору. <br><a href="/">Вернуться на сайт</a>';


    }
    //Уводим пользователя платить
    if (isset($_POST['now'])) {
        //очистка корзины
        $wpsc_cart->empty_cart();
        wp_redirect($PaymentURL, 301);
    }


} else {
    //Не удалось подготовиться как следует
    $cmsModule->ShowPaymentError(false, false);
}
exit();
