<?php
include_once $_SERVER['DOCUMENT_ROOT']. '/wp-load.php';
include_once '../shop_plugins/class-wc-gateway-ubrr.php';

//Переход после оплаты

$site_url = get_site_url();
$callbackURL = $site_url . '/wp-content/plugins/ubrr/callback/woo_callback.php';

//Подготавливаем почву для оплаты
$orderId = $_POST['orderid'];
global $woocommerce;
$wooSessionID = $_POST['id'];
$amount = $_POST['amount'];

$cmsModule = new UBRIR\Wordpress();

$response = $cmsModule->SetupAndPrepareToPay($orderId, $amount, $callbackURL);

$order = wc_get_order($orderId);
$order->update_status(get_option('ubrr_payment_setting_init_woo'));
// Reduce stock levels
wc_reduce_stock_levels($orderId);
// Remove cart
WC()->cart->empty_cart();

if ($response->isSuccess()) {


    $TWPG_OrderId = $response->GetTWPG_OrderId();
    $SessionId = $response->GetSessionId();

    $cmsModule->SaveTWPGOrder($orderId, $TWPG_OrderId, $SessionId); //, $ecomSessionID


    $PaymentURL = $response->GetPaymentUrl($TWPG_OrderId, $SessionId);

    //Отложенный платеж
    if (isset($_POST['later'])) {
        $to = $_POST['email'];
        $siteName = get_bloginfo('name');
        $subject = 'Отложенный платеж на сайте ' . $siteName;
        $message = 'Для оплаты заказа перейдите по ссылке ' . $PaymentURL;
        if (wp_mail(
            $to,
            $subject,
            $message,
            '',
            '')) {
            echo 'Письмо со ссылкой для оплаты отправлено на ваш e-mail. <br><a href="/">Вернуться на сайт</a>';
        } else echo 'Возникли проблемы с отправкой письма, обратитесь к администратору. <br><a href="/">Вернуться на сайт</a>';


    }
    //Уводим пользователя платить
    if (isset($_POST['now'])) {
        wp_redirect($PaymentURL, 301);
    }
} else {
    //Не удалось подготовиться как следует
    echo 'Ошибка связи с сервером оплаты, обратитесь к администратору. <br><a href="/">Вернуться на сайт</a>';
}
