<?php
add_filter('wpshop_add_payment_ubrr', 'wpshop_add_payment');

function wpshop_add_payment($payments)
{
    $wpshop_payment_data_file = $_SERVER['DOCUMENT_ROOT'] . '/wp-content/plugins/wp-shop-original/classes/class.Wpshop.Payment.php';
    include_once($wpshop_payment_data_file);

    $wpshop_payment_data = new \Wpshop_Payment_Data();
    $wpshop_payment_data->paymentID = "ubrr";
    $wpshop_payment_data->title = __('Оплата через УБРиР', 'wp-shop'); //Оформление заказа с оплатой через систему ‘УБРиР’
    $wpshop_payment_data->name = "ubrr";
    $wpshop_payment_data->fields = array("Order" . '$#$hidden$#$0$#$0$#$0$#$0$#$0',
        __('Order type:', 'wp-shop') . ' <b>' . __('Making order using ICredit payment system', 'wp-shop') . '</b>$#$hidden$#$0$#$0$#$0$#$0$#$0',
        __('For making order please fill up the form:', 'wp-shop') . '$#$fieldsetstart$#$0$#$0$#$0$#$0$#$0',
        __('Your name', 'wp-shop') . '|||||Name$#$textfield$#$1$#$0$#$1$#$0$#$0', // Ваше имя
        __('Contact phone', 'wp-shop') . '|||||Phone$#$textfield$#$1$#$0$#$0$#$0$#$0', // Контактный телефон
        __('Address', 'wp-shop') . '|||||Address$#$textfield$#$0$#$0$#$0$#$0$#$0', // Контактный телефон
        __('E-mail', 'wp-shop') . '$#$textfield$#$0$#$1$#$0$#$0$#$0', // E-mail
        __('Comment to the order', 'wp-shop') . '$#$textarea$#$0$#$0$#$0$#$0$#$0');

    //Для вывода способа оплаты в корзине wpshop
    $postByCountry = get_option('ubrr_delivery_local_post_wpshop');
    $postByWorld = get_option('ubrr_delivery_international_post_wpshop');
    $courier = get_option('ubrr_delivery_courier_wpshop');
    $vizit = get_option('ubrr_delivery_vizit_wpshop');
    $enabled_delivery = array();
    if ($postByCountry == 1) {
        array_push($enabled_delivery, 'postByCountry');
    }
    if ($postByWorld == 1) {
        array_push($enabled_delivery, 'postByWorld');
    }
    if ($courier == 1) {
        array_push($enabled_delivery, 'courier');
    }
    if ($vizit == 1) {
        array_push($enabled_delivery, 'vizit');
    }

    update_option('wpshop.payments.ubrr', array('activate' => 'on', 'delivery' => $enabled_delivery));

    //TODO: Скопировать в \wp-content\plugins\wp-shop-original\images\payments\ из \wp-content\plugins\ubrr\views\images\wpshop_ubrr_logo.png при установке
    $wpshop_payment_data->picture = 'wpshop_ubrr_logo.png';

    array_push($payments, $wpshop_payment_data);

    return $payments;
}