<?php
/**
 * Created by PhpStorm.
 * User: Alexander
 * Date: 31.05.2017
 * Time: 10:59
 */

namespace UBRIR;


interface InterfaceMailNotificationsConfig
{
    public function isNotificationsEnabled();

    //region Проверка необходимости добавлять блок

    /**
     * @return boolean
     */
    public function isNeedItSiteURL();

    /**
     * @return boolean
     */
    public function isNeedItShopEmail();

    /**
     * @return boolean
     */
    public function isNeedItOrderAmount();

    /**
     * @return boolean
     */
    public function isNeedItOrderDate();

    /**
     * @return boolean
     */
    public function isNeedItOrderNumber();

    /**
     * @return boolean
     */
    public function isNeedItCardNumber();

    /**
     * @return boolean
     */
    public function isNeedItCardHolderName();

    /**
     * @return boolean
     */
    public function isNeedItOperationType();
    //endregion

    //region Получение значений
    public function GetLogoURL();

    public function GetSiteURL();

    public function GetShopEmail();

    public function GetOrderAmount();

    public function GetOrderDate();

    public function GetOrderNumber();

    public function GetCardNumber();

    public function GetCardHolderName();

    public function GetOperationType();
    //endregion
}