<?php
/**
 * Created by PhpStorm.
 * User: Alexander
 * Date: 14.04.2017
 * Time: 16:26
 */

namespace UBRIR;

class WorkMode
{
    const Test = 'TEST';
    const Normal = 'NORMAL';

    private $_workMode;

    function __construct($workMode = null)
    {
        $this->_workMode = self::Test;

        if ($workMode !== null) {
            if (strtoupper($workMode) === self::Normal || $workMode == 1) {
                $this->_workMode = self::Normal;
            }
        }
    }

    function SetTest()
    {
        $this->_workMode = self::Test;
    }

    function SetNormal()
    {
        $this->_workMode = self::Test;
    }

    function IsTest()
    {
        return $this->_workMode === self::Test;
    }

    function IsNormal()
    {
        return $this->_workMode === self::Normal;
    }

    function GetWorkMode()
    {
        return $this->_workMode;
    }
}