<?php
global $view_data;

$ubrr_wordpress_module = $view_data['ubrr_wordpress_module'];
?>

<script type="text/javascript" src="/wp-content/plugins/ubrr/views/js/jquery3.1.1.min.js"></script>
<script type="text/javascript" src="/wp-content/plugins/ubrr/views/js/jquery-ui.min.js"></script>
<script type="text/javascript" src="/wp-content/plugins/ubrr/views/js/ubrr.admin.js"></script>

<div class="wrap">
    <h1>Интеграция с УБРиР</h1>
    <div id="tabs" class="welcome-panel">
        <ul>
            <li><a href="#tab1">Настройки платежного модуля УБРиР</a></li>
            <li><a class="tab getOrders" href="#tab2">Просмотр заказов</a></li>
            <li><a class="tab getReconcile" href="#tab3">Сверка итогов</a></li>
            <li><a class="tab getJournal" href="#tab4">Журнал операций</a></li>
            <li><a href="#tab5">Настройки уведомлений</a></li>
            <li><a class="tab getPlugins" href="#tab6">Плагины</a></li>
            <li><a class="tab getLog" href="#tab7">Лог</a></li>
        </ul>

        <div id="tab1">
            <form name="update_settings" method="POST" action="<?= $_SERVER['PHP_SELF'] ?>?page=ubrr&updated=true">
                <?php
                // "Защита" от хакеров
                if (function_exists('wp_nonce_field')) {
                    wp_nonce_field('update_settings');
                }
                ?>
                <table>
                    <? foreach ($view_data['UBRR_SETTINGS'] as $inputName => $inputData) {
                        if
                        ($inputData['type'] == 'select'
                        ) {
                            echo '<tr><td>' . $inputData['title'] . '</td><td><select name="' . $inputName . '">';
                            foreach ($inputData['options'] as $key => $value) {
                                if ($key == $inputData['value']) {
                                    echo '<option value="' . $key . '" selected="selected">' . $value . '</option>';
                                } else {
                                    echo '<option value="' . $key . '">' . $value . '</option>';
                                }
                            }
                            echo '</select></td></tr>';
                        } else {
                            echo '<tr><td>' . $inputData['title'] . '</td>
                                <td>
                                <input title="' . $inputData['title'] . '"
                                       type="' . $inputData['type'] . '"
                                       name="' . $inputName . '"';
                            if ($inputData['type'] == 'checkbox') {
                                echo ' value="1"';
                                echo $inputData['value'] == 1 ? ' checked="checked"' : '';
                            } else {
                                echo ' value="' . $inputData['value'] . '"';
                            }
                            echo ' /></td></tr>';
                        }

                    } ?>

                    <tr>
                        <td>&nbsp;</td>
                        <td><input class="button button-primary" type="submit" name="update_settings_btn"
                                   value="Сохранить"></td>
                    </tr>
                </table>
            </form>
        </div>
        <div id="tab2">
            <div id="orderListPlace">Загружается...</div>
        </div>
        <div id="tab3">
            <div id="reconcileAjaxPlace" style="display: none;">Загружается...<br>
                <p><b>К сведению:&nbsp;</b>Сверка итогов производится на основании текущих заказов.<br/>
                    Выполнение сверки итогов переносит текущие заказы в журнал, поэтому повторный вызов сверки итогов
                    будет
                    с нулевыми значениями.</p></div>
        </div>
        <div id="tab4">
            <div id="journalAjaxPlace">Загружается...</div>
        </div>
        <div id="tab5">
            <form name="update_notifications_settings" method="POST"
                  action="<?= $_SERVER['PHP_SELF'] ?>?page=ubrr&updated=true">
                <?php
                // "Защита" от хакеров
                if (function_exists('wp_nonce_field')) {
                    wp_nonce_field('update_notifications_settings');
                }
                ?>
                <table>
                    <? foreach ($view_data['UBRR_NOTIFICATIONS'] as $inputName => $inputData): ?>
                        <tr>
                            <td><?= $inputData['title'] ?></td>
                            <td>
                                <input title="<?= $inputData['title'] ?>"
                                       type="<?= $inputData['type'] ?>"
                                       name="<?= $inputName ?>"
                                       value="<?= $inputData['value'] ?>"
                                    <?= ($inputData['type'] == 'checkbox' && $inputData['value'] == 1) ? 'checked="checked"' : '' ?>
                                />
                            </td>
                        </tr>
                    <? endforeach ?>
                    <tr>
                        <td><input class="button button-primary" type="submit" name="update_notifications_settings_btn"
                                   value="Сохранить"></td>
                    </tr>
                </table>
            </form>
            <a href="#send_notification" class="button button-primary sendTestNotification">Отправить тестовое письмо</a>
        </div>
        <div id="tab6">
            <div id="pluginList">Поиск плагинов...</div>
        </div>
        <div id="tab7">
            <div id="log" class="logTab"> Загрузка лога...</div>
        </div>
    </div>
